#!/usr/bin/env Rscript

library(xml2)

data <- read_xml("../data/Wikipedia-20181120103842.xml")

title.nodes <- xml_find_all(data, ".//title")

titles <- sapply(title.nodes, xml_text)

text.nodes <- xml_find_all(data, ".//text")

texts <- sapply(text.nodes, xml_text)

df.out <- data.frame(Title = titles,
                     Text = texts)

saveRDS(df.out, "../data/texte.RDS")

write.table(df.out, "../data/texte.csv")